#!/usr/bin/env python

def count_trees(area, stepX, stepY):
	trees = 0
	posX = 0
	for i in range(0, len(area), stepY):
		line = area[i]
		if line[posX] == '#':
			trees +=1
		posX = (posX + stepX) % (len(line))
	return trees

area = []
with open("input01		.txt","r") as f:
	for line in f:
		area.append(line.strip())

result = 1
result *= count_trees(area, 1,1)
result *= count_trees(area, 3,1)
result *= count_trees(area, 5,1)
result *= count_trees(area, 7,1)
result *= count_trees(area, 1,2)

print(result)